Add batch operations

Using the batch operations API, you can bulk delete records from a form or update project, assignee, or status values on multiple records.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

POST /api/v2/batch/:id/operations

{
  "operations": [
    {
      "action": "delete",
      "resource": "record",
      "query": "select \_record_id as id from \"{{formId}}\" where \_status = 'Approved'",
    },
    {
      "action": "delete",
      "resource": "record",
      "ids": [ "{{recordId0}}", "{{recordId1}}" ],
    }
  ]
}
Path Params
string
required

ID of the batch

Body Params
operations
array of objects
required
length ≥ 1

Operations to append to the batch

operations*
string
enum
required

Action to perform for the operation

Allowed:
string
enum
required

Resource type the operation targets

Allowed:
string

Identifier of the form containing the records

string

Identifier of the record to delete

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json